RTEMS: cpukit/include/rtems/posix/mqueueimpl.h File Reference

| RTEMS 5.4-rc2

Loading...
Searching...
No Matches
Functions
mqueueimpl.h File Reference

Private Inlined Routines for POSIX Message Queue. More...

`#include <rtems/posix/mqueue.h>`
`#include <rtems/posix/posixapi.h>`
`#include <rtems/score/coremsgimpl.h>`
`#include <rtems/score/threadqimpl.h>`
`#include <rtems/seterr.h>`

Go to the source code of this file.

## Functions
void | _POSIX_Message_queue_Delete (POSIX_Message_queue_Control *the_mq, Thread_queue_Context *queue_context)
| Delete a POSIX Message Queue.
ssize_t | _POSIX_Message_queue_Receive_support (mqd_t mqdes, char *msg_ptr, size_t msg_len, unsigned int *msg_prio, const struct timespec *abstime, Thread_queue_Enqueue_callout enqueue_callout)
int | _POSIX_Message_queue_Send_support (mqd_t mqdes, const char *msg_ptr, size_t msg_len, unsigned int msg_prio, const struct timespec *abstime, Thread_queue_Enqueue_callout enqueue_callout)
| POSIX Message Queue Send Support.
RTEMS_INLINE_ROUTINE POSIX_Message_queue_Control * | _POSIX_Message_queue_Allocate_unprotected (void)
RTEMS_INLINE_ROUTINE void | _POSIX_Message_queue_Free (POSIX_Message_queue_Control *the_mq)
| POSIX Message Queue Free.
RTEMS_INLINE_ROUTINE POSIX_Message_queue_Control * | _POSIX_Message_queue_Get (Objects_Id id, Thread_queue_Context *queue_context)
RTEMS_INLINE_ROUTINE CORE_message_queue_Submit_types | _POSIX_Message_queue_Priority_to_core (unsigned int priority)
RTEMS_INLINE_ROUTINE unsigned int | _POSIX_Message_queue_Priority_from_core (CORE_message_queue_Submit_types priority)
RTEMS_INLINE_ROUTINE void | _POSIX_Message_queue_Namespace_remove (POSIX_Message_queue_Control *the_mq)
| POSIX Message Queue Remove from Namespace.
RTEMS_INLINE_ROUTINE POSIX_Message_queue_Control * | _POSIX_Message_queue_Get_by_name (const char *name, size_t *name_length_p, Objects_Get_by_name_error *error)

## Detailed Description

Private Inlined Routines for POSIX Message Queue.

This include file contains the static inline implementation of the private inlined routines for POSIX Message Queue.

## Function Documentation

## ◆ _POSIX_Message_queue_Delete()

void _POSIX_Message_queue_Delete | ( | POSIX_Message_queue_Control * | the_mq,
|  | Thread_queue_Context * | queue_context
| ) |  |

Delete a POSIX Message Queue.

This routine supports the mq_unlink and mq_close routines by doing most of the work involved with removing a message queue.

## ◆ _POSIX_Message_queue_Free()

RTEMS_INLINE_ROUTINE void _POSIX_Message_queue_Free | ( | POSIX_Message_queue_Control * | the_mq | ) |

POSIX Message Queue Free.

This routine frees a message queue control block to the inactive chain of free message queue control blocks.

## ◆ _POSIX_Message_queue_Send_support()

int _POSIX_Message_queue_Send_support | ( | mqd_t | mqdes,
|  | const char * | msg_ptr,
|  | size_t | msg_len,
|  | unsigned int | msg_prio,
|  | const struct timespec * | abstime,
|  | Thread_queue_Enqueue_callout | enqueue_callout
| ) |  |

POSIX Message Queue Send Support.

This routine posts a message to a specified message queue.